summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKristian Fiskerstrand <k_f@gentoo.org>2018-07-04 12:50:53 +0200
committerKristian Fiskerstrand <k_f@gentoo.org>2018-07-31 10:34:35 +0200
commit01bb46e5c88bd7d693f08df21b95981b65685c70 (patch)
tree3a931ffd6cded4617b5ec4a4fa6d7d07e5dfd25b
parentgnome-extra/cinnamon-menus: New upstream version 3.8.2 (diff)
downloadgentoo-01bb46e5c88bd7d693f08df21b95981b65685c70.tar.gz
gentoo-01bb46e5c88bd7d693f08df21b95981b65685c70.tar.bz2
gentoo-01bb46e5c88bd7d693f08df21b95981b65685c70.zip
gnome-extra/cinnamon-screensaver: New upstream version 3.8.0
Package-Manager: Portage-2.3.40, Repoman-2.3.9
-rw-r--r--gnome-extra/cinnamon-screensaver/Manifest1
-rw-r--r--gnome-extra/cinnamon-screensaver/cinnamon-screensaver-3.8.0.ebuild90
2 files changed, 91 insertions, 0 deletions
diff --git a/gnome-extra/cinnamon-screensaver/Manifest b/gnome-extra/cinnamon-screensaver/Manifest
index d9e0df5e418..b8f00f427d8 100644
--- a/gnome-extra/cinnamon-screensaver/Manifest
+++ b/gnome-extra/cinnamon-screensaver/Manifest
@@ -1 +1,2 @@
DIST cinnamon-screensaver-3.6.1.tar.gz 154729 BLAKE2B cd94413791d0500f01ec8eefc9b003e635c1bdac35d37768097ba19aff3005359e6596d3795dcf41ded9338f33dc9b68f6fdd5b7556eef9fbdcb88b8de4dd500 SHA512 9fd5ad0227993277d8ea773cbf80de7d3d7145eb38014e3673d2c31f9947dae0f45cd961077c56cd17deb6422b128ea56c909f4974ab55953bd42c63a2a2fc37
+DIST cinnamon-screensaver-3.8.0.tar.gz 161238 BLAKE2B 1deb5439c30eed8f16240cdacb20beee3dfeef9529d9efb913f4922b7a53ebf3372f64f80c1afdc9899eb5350b97bccf9a1cb98d703d19afa05e6ce11377531e SHA512 9abed09abfdf193b66c70cd2220d7d7aa056a99b6ffe12e3d80ea8af39d4aef79f0851e83b525850cc56da5944d7b29ceb8c4e15e2bc1e847ce62c13c45d1bdb
diff --git a/gnome-extra/cinnamon-screensaver/cinnamon-screensaver-3.8.0.ebuild b/gnome-extra/cinnamon-screensaver/cinnamon-screensaver-3.8.0.ebuild
new file mode 100644
index 00000000000..75c70f63c22
--- /dev/null
+++ b/gnome-extra/cinnamon-screensaver/cinnamon-screensaver-3.8.0.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit autotools gnome2 multilib python-single-r1
+
+DESCRIPTION="Screensaver for Cinnamon"
+HOMEPAGE="http://cinnamon.linuxmint.com/"
+SRC_URI="https://github.com/linuxmint/cinnamon-screensaver/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="debug doc pam systemd xinerama"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+KEYWORDS="~amd64 ~x86"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.37.3:2[dbus]
+ >=x11-libs/gtk+-3.1.4:3[introspection]
+ >=gnome-extra/cinnamon-desktop-2.6.3:0=[systemd=]
+ >=gnome-base/gsettings-desktop-schemas-0.1.7
+ >=gnome-base/libgnomekbd-3.6
+ >=dev-libs/dbus-glib-0.78
+
+ net-libs/webkit-gtk:4[introspection]
+
+ sys-apps/dbus
+ x11-libs/libxklavier
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrandr
+ x11-libs/libXScrnSaver
+ x11-libs/libXxf86misc
+ x11-libs/libXxf86vm
+ x11-themes/adwaita-icon-theme
+
+ !systemd? ( sys-auth/elogind )
+
+ ${PYTHON_DEPS}
+
+ pam? ( virtual/pam )
+ systemd? ( >=sys-apps/systemd-31:0= )
+ xinerama? ( x11-libs/libXinerama )
+"
+# our cinnamon-1.8 ebuilds installed a cinnamon-screensaver.desktop hack
+RDEPEND="${COMMON_DEPEND}
+ !~gnome-extra/cinnamon-1.8.8.1
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/setproctitle[${PYTHON_USEDEP}]
+ dev-python/xapp[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.35
+ gnome-base/gnome-common
+ sys-devel/gettext
+ virtual/pkgconfig
+ x11-base/xorg-proto
+ doc? (
+ app-text/xmlto
+ app-text/docbook-xml-dtd:4.1.2
+ app-text/docbook-xml-dtd:4.4 )
+"
+
+pkg_setup() {
+ python_setup
+}
+
+src_prepare() {
+ python_fix_shebang screensavers
+ eautoreconf
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ $(usex debug --enable-debug ' ') \
+ $(use_enable xinerama)
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! has_version x11-misc/xscreensaver; then
+ elog "${PN} can use screensavers from x11-misc/xscreensaver"
+ fi
+
+}